Meltdown by MOH

i made this track in about a week so theres probably some bugs :P

made in zmodeler...
RVsizer and all the rest of those tools
512 patch (Y) thx for that it helped!

its not fantastic, the ai arent so good, but its still quite fun i think XD

thanks to hil for telling me about the polies under the bridge, now its fixed